{% extends "base.html" %}
{% load datetime %}

{% block page_name %}
Event Search - {{ summit.title }}
{% endblock %}

{% block sub_nav_links %}
    <li><a class="sub-nav-item" href="/{{ summit.name }}/" title="Summit">Back to Summit</a></li>
{% endblock %}

{% block content %}
<div class="row">
<article class="span-8">
{% if meetings %}
<h2>Results for: {{query}}</h2>
{% else %}
<h3>No Events found matching query</h3>
{% endif %}

<ul>
{% for meeting in meetings %}
    <li><a href="{{meeting.get_meeting_page_url}}">{{meeting.title}}</a>{% if meeting.agenda_set.count %} - 
    {% for agenda in meeting.agenda_set.all %}{{agenda.slot}}{% endfor %}
    {% endif %}</li>
{% endfor %}
</ul>
</article>
</div>
{% block closure %}
<style>
/* Mobile-friendly styles */
@media screen and (max-width: 960px) {
    .span-4, footer, #main-nav, footer .logo-ubuntu, .nav-secondary, .schedule-qrcode { display: none; }
    #page-header { text-align: center; }
    #page-header a { height: 24px; line-height: 1; float: none; display: inline; }
    .span-8, .span-9, .span-3, .span-12 { width: 100%; }
    table.schedule { width: 100%; margin: 0; padding: 0; border-width: 0; }
    table.column { width: 100%; margin: 0; padding: 0; border-width: 0; }
    table.column td { display: block; width: 100%; margin: 0; padding: 0; border-width: 0; }
    table.column td ul {
        width: 100%;
        margin: 0;
        padding: 0;
    }
    table.column td ul li {
        background: #efefef;
        border-bottom: 1px solid black;
        list-style: none;
        text-align: center;
        font-size: 24px;
        line-height: 24px;
        min-height: 24px;
        width: 100%;
        display: block;
        padding: 4px 0;
        margin: 0;
    }
    #fb-root * { width: auto; }
        .schedule-head > a { display: none; } /* qr code */
    div.schedule-head .schedule-date a:nth-child(1) {
        float: left;
    }
    div.schedule-head .schedule-date {
        font-weight: normal;
        font-size: 24px;
        margin: 0;
        display: block;
        text-align: center;
    }
    div.schedule-head .schedule-date a {
        display: block;
        float: right;
        background: #eee;
        width: 25%;
        text-align: center;
    }

    #sub-nav-container {
        margin-bottom: 0px;
    }
}
</style>

<script language="JavaScript">

function show_agenda_details(agenda_id, index_id) {
    var elem_id = 'agenda-'+agenda_id+'-'+index_id+'-details'
    var details = document.getElementById(elem_id)
    details.style.display='block';
}

function hide_agenda_details(agenda_id, index_id) {
    var elem_id = 'agenda-'+agenda_id+'-'+index_id+'-details'
    var details = document.getElementById(elem_id)
    details.style.display='none';
}

</script>
<script>
/* Mobile handler for clicking a link */
/* put at the bottom of the page so that the relevant elements exist */
document.querySelector("article.main-content").addEventListener("click", function(e) {
    /* Only handle clicking on the main links in the table */
    if (e.target.nodeName.toLowerCase() == "a" && e.target.className == "main-agenda-item-name") {
        /* only override links if we're in mobile mode */
        if (document.documentElement.clientWidth > 481) return;
        e.stopPropagation();
        e.preventDefault();
        /* toggle display of the details div */
        var details_div = e.target.parentNode.getElementsByTagName("div")[0];
        details_div.style.display = details_div.style.display == "block" ? "none" : "block";
        /* and add a link to the specific page to the top of the details div, if
           we haven't already */
        var links = details_div.getElementsByClassName("real-link");
        if (links.length == 0) {
            var a = document.createElement("a");
            a.href = e.target.href;
            a.appendChild(document.createTextNode("View details of this session"));
            a.className = "real-link";
            details_div.insertBefore(a, details_div.firstChild);
        }
    }
});

/* override the mouseover/mouseout functions in mobile mode */
var old_show_agenda_details = show_agenda_details;
var old_hide_agenda_details = hide_agenda_details;
show_agenda_details = function(agenda_id, slot_id) {
    if (document.documentElement.clientWidth > 481) {
        return old_show_agenda_details(agenda_id, slot_id);
    }
};
hide_agenda_details = function(agenda_id, slot_id) {
    if (document.documentElement.clientWidth > 481) {
        return old_hide_agenda_details(agenda_id, slot_id);
    }
};

</script>
{% endblock %}

{% endblock %}
